package com.huimv.environ.eco.service;

import com.alibaba.fastjson.JSONObject;
import com.huimv.common.utils.Result;
import com.huimv.environ.eco.entity.EcoDeviceFlow;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
public interface EcoDeviceFlowService extends IService<EcoDeviceFlow> {

    Result getLastFlow(Map<String, String> paramsMap);

    void save(JSONObject dataJo, Date todayTime) throws ParseException;

    Result listByRoom(HttpServletRequest request, Map<String, String> paramsMap) throws ParseException;

    Result listDayDetails(HttpServletRequest request, Map<String, String> paramsMap) throws ParseException;

    Result getLastFlowByUnitId(Map<String, String> paramsMap);

    Result getUnitLastFlow(Map<String, String> paramsMap);

    EcoDeviceFlow getLastDryDeviceFlow(String dryDeviceCode, String todayTime) throws ParseException;

//    Result getFlowList(Map<String, String> paramsMap);
}
